/***************************************************************************/
/** @file       theSound.h
    @brief      
    @author     shom
    @internal
****************************************************************************/

#pragma once

#include "WaveFile_def.h"  // for "theWaveData"
#include "dsound.h"       // for "LPDIRECTSOUNDBUFFER"


///構造体の定義
struct	theSound
{
	theWaveData WvData;                   // Waveデータ情報構造体
	
	LPDIRECTSOUNDBUFFER*   ppDSBuf;	      // IDSバッファへのダブルポインタ
	
	LPDIRECTSOUND3DBUFFER* pp3DBuf;       // IDS3Dバッファへのポインタ
	DS3DBUFFER*            p3DBufParams;  // DS3Dバッファのパラメータへのポインタ
	
	theSound()
	:
	ppDSBuf(NULL),
	pp3DBuf(NULL),
	p3DBufParams(NULL)
	{
	}

	b32	IsInitialized()
	{
		return ( ppDSBuf != NULL );
	}
};
